Page MenuHomePhabricator

Statistics of number of Wikidata edits with Magnus Manske's tools
Closed, ResolvedPublic

Description

I'm curious how influential @Magnus' batch editing tools, most notably QuickStatements and Mix'n'match, are in the bigger picture of Wikidata contributions.

Therefore I'd like to get some statistics – for instance:

  • How many Wikidata edits do people perform via the tool?
    • In one typical month?
    • How many edits have been done overall with the tool?
  • How influential is the tool in relation to the overall number of edits on Wikidata?
    • What's the percentage of edits done by the tool as part of all edits on Wikidata in one typical month?
    • What's that percentage overall? (May be skewed, as a tool may become more or less influential over time)

Having graphs of these stats over time would be nice too, but for now I want to focus on some simpler numbers.

Please add notable statistics for other Magnus tools in the comments below as well.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 18 2018, 9:52 AM

Oauth tool edits can be pretty easily seen @ https://grafana.wikimedia.org/dashboard/db/wikidata-edits
Edit by, for example, QuickStatementsBot will not be included there afaik.

This should be some pretty easy data to get with a few db queries.

SandraF_WMF triaged this task as Normal priority.Oct 18 2018, 10:10 AM
SandraF_WMF added a subscriber: Samwalton9.

In theory this should be measurable with the Hashtags tools, as both QuickStatements and Mix'n'match produce hashtags in edit summaries; but that is currently blocked by T207029: Consider addition of Wikidata tracking.

@Samwalton9 helped me with some Quarry queries though. So here are some numbers.

QuickStatements, tool for doing batch edits on Wikidata (both editing existing items and adding/importing new items)

  • Number of QuickStatements edits on Wikidata in one month (18 Sep till 18 Oct 2018): 6,889,830 (Query on Quarry)
  • Overall number of edits (human, bot, tool-driven) on Wikidata in that same timespan (18 Sep till 18 Oct 2018): 18,299,820 (Query on Quarry)

This means that in in that month, a whopping 37.65 % of all Wikidata edits were done via QuickStatements.

In the same timeframe:

  • [[User:Reinheitsgebot]] (my other bot for ... various things) : 354,089 (Quarry)[https://quarry.wmflabs.org/query/30455]
  • [[User:QuickStatementsBot]] : 3,885,709 (these are included in the ~6.9M figure from Sandra)
  • "#mix'n'match" : 60,317
SandraF_WMF added a subscriber: Pintoch.EditedOct 18 2018, 7:13 PM

Nice! Mix'n'match numbers are relatively 'low' (and I might have done a few of those in my volunteer capacity ;-) )

I guess Mix'n'match must have been more prominent a year or two-three ago, when we had all those nice fresh big pioneering datasets there.

An up-and-coming batch tool may be OpenRefine (ping @Pintoch) for which I'd also be curious to know numbers for the same timeframe. Edit summaries with that tool are tagged, not hashtagged, and that produces a number of 340,269 edits (since the tag was in use, I assume - not sure when that was).

SandraF_WMF added a comment.EditedOct 19 2018, 6:01 AM

Please help by adding more statistics for these and for other Magnus tools in this ticket's comments.

SandraF_WMF updated the task description. (Show Details)Oct 19 2018, 6:02 AM

Some of the OpenRefine edits were not tagged during development but all edits done with a released version should be. Some of the OpenRefine batches are uploaded via QuickStatements, in which case they are tagged as such. (The main benefits of using QS with OpenRefine is to run batches in the background or to have a statement matching rules when updating existing claims).

SandraF_WMF closed this task as Resolved.Nov 20 2018, 1:46 PM

We got some basic numbers!